org.kie.internal.runtime.conf

## Enum AuditMode

- java.lang.Object
- - java.lang.Enum<AuditMode>
  - - org.kie.internal.runtime.conf.AuditMode

- All Implemented Interfaces:
    Serializable, Comparable<AuditMode>

      public enum AuditMode
      extends Enum<AuditMode>

  Supported audit log modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JMS`
    `JPA`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final AuditMode NONE

    - #### JPA

          public static final AuditMode JPA

    - #### JMS

          public static final AuditMode JMS

  - ### Method Detail

    - #### values

          public static AuditMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditMode c : AuditMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.